Bug 608792 - Windows SDK build procedure does not package C++ Messaging binding for .NET
Summary: Windows SDK build procedure does not package C++ Messaging binding for .NET
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-sdk   
(Show other bugs)
Version: beta
Hardware: All
OS: Windows
low
medium
Target Milestone: ---
: ---
Assignee: messaging-bugs
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-28 17:00 UTC by Chuck Rolke
Modified: 2011-08-12 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 14:54:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chuck Rolke 2010-06-28 17:00:29 UTC
The build script bld-winsdk.ps1 does not compile nor package the new binding for .NET. The additions are:

1) after compiling qpid-cpp debug/release:

# Build the .NET binding. This code is not controlled by cmake.
devenv .\bindings\qpid\dotnet\org.apache.qpid.messaging.sln /build "Debug|x86" /project org.apache.qpid.messaging
devenv .\bindings\qpid\dotnet\org.apache.qpid.messaging.sln /build "Debug|x86" /project org.apache.qpid.messaging.sessionreceiver

The executables and PDB files are then packaged in due course.

Comment 1 Chuck Rolke 2010-09-09 14:54:08 UTC
This addition is in place and producing expected results.


Note You need to log in before you can comment on or make changes to this bug.